z8530_read_port
Prev | Chapter 10. Internal Functions | Next

## Name

z8530_read_port — Architecture specific interface function

## Synopsis

`int z8530_read_port (` | unsigned long | p`)`;

## Arguments

`p`

  port to read

## Description

Provided port access methods. The Comtrol SV11 requires no delays between accesses and uses PC I/O. Some drivers may need a 5uS delay

In the longer term this should become an architecture specific section so that this can become a generic driver interface for all platforms. For now we only handle PC I/O ports with or without the dread 5uS sanity delay.

The caller must hold sufficient locks to avoid violating the horrible 5uS delay rule.

Prev | Up | Next
Chapter 10. Internal Functions | Home | z8530_write_port